Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSUserToUserInformation Class Reference

User-to-User Information (UUI), known as call control UUI data, is a small piece of data inserted by an application initiating the call and utilized by the application receiving the call. More...

`#import <CSUserToUserInformation.h>`

Inherits NSObject.

## Properties
NSString * | ucid
| Represents a unique identifier for every call in a call center customer environment for unifrom data-tracking for all call-related data in a call center, regardless of the system. More...
NSString * | asai
| Represents Adjunct Switch Applications Interface (ASAI) User Data. More...
NSString * | inVdnTime
| Represents VDN call duration. More...
NSString * | vdnName
| Represents a Vector Directory Number name. More...
NSString * | fullUserToUserInformation
| Represents full UUI if it is not encoded according to Avaya specs for UUI transport. More...
NSString * | collectedDigits
| Represents the caller entered information during IVR phase of the call. More...
BOOL | parsedSuccessfully
| Indiciates whether the UUI is parsed successfully according to Avaya specs for UUI transport. More...

## Detailed Description

User-to-User Information (UUI), known as call control UUI data, is a small piece of data inserted by an application initiating the call and utilized by the application receiving the call.

The syntax and semantics for the UUI data used by a specific application are defined by a UUI package.

## Property Documentation

- (NSString*) asai
| read nonatomic assign

Represents Adjunct Switch Applications Interface (ASAI) User Data.

ASAI UUI information is required to provide screen-pop type functionality by using the UUI to perform data base searches.

- (NSString*) collectedDigits
| read nonatomic assign

Represents the caller entered information during IVR phase of the call.

- (NSString*) fullUserToUserInformation
| read nonatomic assign

Represents full UUI if it is not encoded according to Avaya specs for UUI transport.

Otherwise it is empty.

See also
  isParsedSuccessfully

- (NSString*) inVdnTime
| read nonatomic assign

Represents VDN call duration.

- (BOOL) parsedSuccessfully
| read nonatomic assign

Indiciates whether the UUI is parsed successfully according to Avaya specs for UUI transport.

- (NSString*) ucid
| read nonatomic assign

Represents a unique identifier for every call in a call center customer environment for unifrom data-tracking for all call-related data in a call center, regardless of the system.

- (NSString*) vdnName
| read nonatomic assign

Represents a Vector Directory Number name.

Agent needs to know from which VDN call is arrived in order to be prepared. For example, the agent may servicing incoming calls about sales and technical support questions that are represented by two separate VDNs. When the incoming call is presented to the agent, the agent will better be prepared to talk about a particular topic based on the VDN information associated with the call.

The documentation for this class was generated from the following file:

- CSUserToUserInformation.h